import resolve from '@rollup/plugin-node-resolve';
import typescript from 'rollup-plugin-typescript2';
import commonjs from '@rollup/plugin-commonjs';

const plugins = [resolve(), typescript(), commonjs()]

export default [
  /*{
    input: 'src/index.ts',
    output: {
      file: 'index.js',
      format: 'cjs'
    },
    plugins
  },*/  
  {
    input: 'src/index.ts',
    output: {
      name: "fetchclient",
      file: 'dist/index.js',
      format: 'umd'
    },
    plugins
  },  
  /*{
    input: 'src/client.ts',
    output: {
      name: "fetchclient",
      file: 'dist/fetchclient.es.js',
      format: 'es'
    },
    plugins
  },*/  
  {
    input: 'src/index.ts',
    output: {
      name: "fetchclient",
      file: 'dist/index.iife.js',
      format: 'iife'
    },
    plugins
  },  
];
